package com.ywt.outpatient.domain.models.enums;

/**
 * 每天最大的时间点
 * (用于加诊排班)
 * create by daiyihua
 */
public enum PointInTimeEnum {

    UNKNOWN("",0),
    Morning(" 12:00:00", 1),
    Afternoon(" 17:00:00", 2),
    Night(" 22:00:00", 3);

    private final String displayName;

    private int value = 0;

    PointInTimeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static PointInTimeEnum valueOf(int value) {
        switch (value) {
            case 1:
                return Morning;
            case 2:
                return Afternoon;
            case 3:
                return Night;
            default:
                return UNKNOWN;
        }
    }
}
